libnvme(2)

NAME
enum nvme_id_ns_dlfeat - This field indicates information about features that affect deallocating logical blocks for this namespace.

SYNOPSIS
enum nvme_id_ns_dlfeat {
NVME_NS_DLFEAT_RB ,
NVME_NS_DLFEAT_RB_NR ,
NVME_NS_DLFEAT_RB_ALL_0S ,
NVME_NS_DLFEAT_RB_ALL_FS ,
NVME_NS_DLFEAT_WRITE_ZEROES ,
NVME_NS_DLFEAT_CRC_GUARD

};

Constants

NVME_NS_DLFEAT_RB
    Mask to get the value of the read behavior

NVME_NS_DLFEAT_RB_NR
    Read behvaior is not reported

NVME_NS_DLFEAT_RB_ALL_0S
    A deallocated logical block returns all bytes cleared to 0h.

NVME_NS_DLFEAT_RB_ALL_FS
    A deallocated logical block returns all bytes set to FFh.

NVME_NS_DLFEAT_WRITE_ZEROES
    If set, indicates that the controller supports the Deallocate bit in the Write Zeroes command for this namespace.

NVME_NS_DLFEAT_CRC_GUARD
    If set, indicates that the Guard field for deallocated logical blocks that contain protection information is set to the CRC for the value read from the deallocated logical block and its metadata